pidfile.h File Reference

PID-file management. More...

`#include <glib.h>`

Go to the source code of this file.

## Functions

int | pidfile_create (gchar *)
| Create a PID-file.
void | pidfile_remove (gchar *)
| Remove PID file.

## Detailed Description

PID-file management.

## Function Documentation

## pidfile_create()

int pidfile_create | ( | gchar * | pid_file_path | ) |

Create a PID-file.

A standard PID file will be created for the given path.

Parameters

  [in] | pid_file_path | The full path of the pid file. E.g. "/tmp/service1.pid"

Returns
  0 for success, anything else indicates an error.

## pidfile_remove()

void pidfile_remove | ( | gchar * | pid_file_path | ) |

Remove PID file.

Parameters

  [in] | pid_file_path | The full path of the pid file. E.g. "/tmp/service1.pid"